<link rel="import" href="chrome://resources/cr_elements/icons.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-iconset-svg/iron-iconset-svg.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<iron-iconset-svg name="navigation-bar" size="24">
  <svg>
    <defs>
      <g id="arrow-back">
        <path d="M20 11H7.83l5.59-5.59L12 4l-8 8 8 8 1.41-1.41L7.83 13H20v-2z"></path>
      </g>
      <g id="refresh">
        <path d="M17.65 6.35C16.2 4.9 14.21 4 12 4c-4.42 0-7.99 3.58-7.99 8s3.57 8 7.99 8c3.73 0 6.84-2.55 7.73-6h-2.08c-.82 2.33-3.04 4-5.65 4-3.31 0-6-2.69-6-6s2.69-6 6-6c1.66 0 3.14.69 4.22 1.78L13 11h7V4l-2.35 2.35z"></path>
      </g>
    </defs>
  </svg>
</iron-iconset-svg>

<!-- Copyright 2015 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<!--
  A navigation panel with back, refresh, and/or close buttons.
  +---------------------------------+
  + <-                         *  X +
  +---------------------------------+

  Example:
    <navigation-bar close-visible back-visible></navigation-bar>

  Properties:
     '{back,refresh,close}Visible' - change visibility of corresponding
                                     buttons.
     'disable' - if true, all the buttons are disabled.

  Events:
     'back', 'refresh', 'close' - fired when corresponding buttons are clicked.

-->
<dom-module id="navigation-bar">
  <template>
    <style include="oobe-common"></style>
    <link rel="stylesheet" href="navigation_bar.css">
    <div class="fit layout horizontal center">
      <gaia-icon-button id="backButton" icon="navigation-bar:arrow-back"
          hidden="[[!backVisible]]" disabled="[[disabled]]" on-click="onBack_"
          aria-label$="[[i18nDynamic(locale, 'backButton')]]">
      </gaia-icon-button>
      <div class="flex"></div>
      <gaia-icon-button id="refreshButton" icon="navigation-bar:refresh"
          hidden="[[!refreshVisible]]" disabled="[[disabled]]"
          on-click="onRefresh_"
          aria-label$="[[i18nDynamic(locale, 'closeButton')]]">
      </gaia-icon-button>
      <gaia-icon-button id="closeButton" icon="cr:close"
          hidden="[[!closeVisible]]" disabled="[[disabled]]" on-click="onClose_"
          aria-label$="[[i18nDynamic(locale, 'closeButton')]]">
      </gaia-icon-button>
    </div>
  </template>
</dom-module>
